<article class="piste">
  <ul class="ariane">
    <?php $ariane_params = array("piste" => $this->out["piste"]["id"]); ?>
    <?php if(isset($this->out["album"]) && $this->out["album"]) : $ariane_params["album"] = $this->out["album"]["id"]; ?>
    <li><a href="<?php echo $this->url("sources/album/view", $ariane_params) ?>">
    <?php echo $this->out["album"]["titre"] ?>
    </a></li>
    <?php endif; ?>

    <?php if(isset($this->out["morceau"]) && $this->out["morceau"]) : $ariane_params["morceau"] = $this->out["morceau"]["id"]; ?>
    <li><a href="<?php echo $this->url("sources/morceau/view", $ariane_params) ?>">
    <?php echo $this->out["morceau"]["reference"] ? $this->out["morceau"]["reference"]["titre"] : $this->out["morceau"]["titre"] ?>
    </a></li>
    <?php endif; ?>
    
    <?php if($this->out["piste"]["reference"]) : ?>
    <li><span>r&eacute;f&eacute;rence &raquo;</span> <a href="<?php echo $this->out["piste"]["reference"]["from"] ?>"><?php echo $this->out["piste"]["reference"]["titre"] ?></a></li>
    <?php else : ?>
    <li><a href="<?php echo $this->url("sources/piste/view", $ariane_params) ?>"><?php echo $this->out["piste"]["titre"] ?></a></li>
    <?php endif; ?>
  </ul>
  <div class="clear"><!-- --></div>
  <header>
    <h1>
      <?php if($this->out["piste"]["reference"]) : ?>
      <span>r&eacute;f&eacute;rence &raquo;</span><?php echo $this->out["piste"]["reference"]["titre"] ?>
      <?php else : ?>
      <?php echo $this->out["piste"]["titre"] ?>
      <?php endif; ?>
    </h1>
    <?php if($this->out["piste"]["derivations"]) : ?>
    <span class="derivation">
      <span>d&eacute;rive de &raquo;</span>
      <?php $n = 0; foreach($this->out["piste"]["derivations"] as $derivation) : ?>
      <?php echo $n ? ", " : "" ?><a href="<?php echo $derivation["from"] ?>"><?php echo $derivation["titre"] ?></a>
      <?php $n++; endforeach; ?>
    </span>
    <?php endif; ?>
  </header>

<?php

  if
  (    $this->out["piste"]["image_uri"]
    && file_exists($this->out["piste"]["image_uri"])
    && ($img_size = $data->img_size($this->out["piste"]["image_uri"], 450, 450)) !== false
  ) :
//  $margin_top = floor((450 - $img_size["height"]) / 2);
  $margin_top = 10;
  $piste_image_uri = $this->path("web").$this->out["piste"]["image_uri"];
?>
<p class="logo_source">
  <img src="<?php echo $piste_image_uri ?>"
       width="<?php echo $img_size["width"] ?>"
       height="<?php echo $img_size["height"] ?>"
       style="margin-top:<?php echo $margin_top ?>px"
       alt="" />
</p>
<?php endif; ?>

<div class="source_arbo">

<?php

  $piste = $this->out["piste"];
  $display_name = false;
  $url_params = array("piste" => $piste["id"]);

?>

<ul class="sources">
<?php

  $source = $piste;
  $source["url"] = $this->url("sources/piste/view", $url_params);
  require $this->out_file("views/sources/source.php");

?>
</ul>

<?php if(isset($piste["description"]) && !$display_name) : ?>
<div class="description">
  <?php echo $piste["description"] ?>
</div>
<?php endif; ?>
<div class="clear"><!-- --></div>

</div>
</article>